System 2.0.0.0 4.0.0.0

The is used to discover available types at design time, when a client of the service does not know the names of existing types or referenced assemblies.

Discovers available types at design time.

- Method
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection `` ``

  If is null, all types are returned. Otherwise, only types derived from the specified base type are returned. If is false, types from all referenced assemblies are checked. Otherwise, only types from non-Global Assembly Cache (GAC) referenced assemblies are checked. For more information, see Working with Assemblies and the Global Assembly Cache.

  Retrieves the list of available types.

  A collection of types that match the criteria specified by and .

  The base type to match. Can be null. Indicates whether types from all referenced assemblies should be checked.